| NORSYS SOFTWARE © 2012 | NETICA API | JAVA VERSION 5.04

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## norsys.netica.gui
Interface RecursingEventListener

All Known Implementing Classes:
  NodePanel, NetPanel

public interface RecursingEventListener

An interface that defines two methods, one which should add a mouseListener to this Component and all contained (recursively) Components for which mouse events may be listened for.

Since:
  3.0
Version:
  5.04 - January 21, 2012

Method Summary
`void` | `addListenerToAllComponents(java.util.EventListener eventListener)` Add the given EventListener to this object and, if it is a Container, to all RecursingEventListeners it contains.
`void` | `removeListenerFromAllComponents(java.util.EventListener eventListener)` Remove the given EventListener from this object and, if it is a Container, from all RecursingEventListeners it contains.

Method Detail

public void addListenerToAllComponents ( |
EventListener | eventListener
| )

  Add the given EventListener to this object and, if it is a Container, to all RecursingEventListeners it contains.
  Parameters:

  EventListener |  | eventListener |  | The listener to be added to this component and to any of its children that are also RecursingEventListeners.

  Version:
  Versions 3.0 and later have this method.
  See Also:

  removeListenerFromAllComponents |  | removes it instead

public void removeListenerFromAllComponents ( |
EventListener | eventListener
| )

  Remove the given EventListener from this object and, if it is a Container, from all RecursingEventListeners it contains.
  Parameters:

  EventListener |  | eventListener |  | The listener to be removed from this component and from any of its children that are also RecursingEventListeners.

  Version:
  Versions 3.0 and later have this method.
  See Also:

  addListenerToAllComponents |  | adds it instead

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD